Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetReason

Sets the success/failure reason of the line search application

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetReason(SNESLineSearch linesearch, SNESLineSearchReason reason)

Logically Collective; No Fortran Support

## Input Parameters

- linesearch - the line search context

- reason - The success or failure reason

## Notes

This is typically called in a `SNESLineSearchType` implementation of `SNESLineSearchApply()` or a `SNESLINESEARCHSHELL` implementation to set the success or failure of the line search method.

Do not call this from callbacks provided with `SNESSetFunction()`, instead perhaps use `SNESSetFunctionDomainError()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchReason`, `SNESLineSearchGetSResult()`, `SNESSetFunctionDomainError()`, `SNESSetFunction()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages